Bug 3560 - updates to myproxy tool defaults
: updates to myproxy tool defaults
Status: RESOLVED FIXED
: CoG jglobus
myproxy
: unspecified
: All All
: P3 contribution
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-07-12 10:12 by
Modified: 2005-12-05 17:16 (History)


Attachments
patch to /cvs/cogkit/src/jglobus/src/org/globus/tools/MyProxy.java (935 bytes, patch)
2005-07-12 10:14, Jim Basney
Details
patch to /cvs/cogkit/src/jglobus/src/org/globus/tools/MyProxy.java usage (1.35 KB, patch)
2005-07-13 13:26, Jim Basney
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-12 10:12:20
The following patch changes the behavior of the myproxy command-line
tool to match the MyProxy C clients:

  - Allow retrieval of 12 hour proxy credentials by default, rather
    than limiting lifetime to 2 hours.
  - If no myproxy get -out option specified, store retrieved proxy in
    the correct default location for use with other GSI programs
    rather than storing the proxy in the current working directory.
------- Comment #1 From 2005-07-12 10:14:36 -------
Created an attachment (id=654) [details]
patch to /cvs/cogkit/src/jglobus/src/org/globus/tools/MyProxy.java

Apply in /cvs/cogkit/src/jglobus/src/org/globus/tools with:
  patch < ~/myproxy.diffs
------- Comment #2 From 2005-07-13 10:46:20 -------
Patch applied, thanks! I will commit the updated cog-jglobus.jar to GT4 cvs 
globus_4_0_branch (and trunk of course) so that this will be part of 4.0.1 
release.
------- Comment #3 From 2005-07-13 13:26:17 -------
Created an attachment (id=656) [details]
patch to /cvs/cogkit/src/jglobus/src/org/globus/tools/MyProxy.java usage

Oops, forgot to update usage strings for change from 2 to 12 hours.
------- Comment #4 From 2005-07-13 14:27:12 -------
Patch applied with minor changes (to use the constant).